MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Auth
Bundler
Bundles
Catalog
Deployments
Create DeploymentRemove Entry CredentialDelete DeploymentGenerate TokenGet DeploymentLink Vault EntryList Credential MetadataList DeploymentsRename DeploymentRevoke TokenUnlink Vault EntryUpdate Router ConfigWrite Credential
Discover
LLM
MCP Listing Claims
MCP Listings
OAuth2
Observability
Organisations
Reviews
Roadmap
SCIM
Users
Utils
Vault
Webhooks
API ReferenceDeployments

List Deployments

GET
/v1/deployments

List the authenticated user's deployments.

Scoping to the caller's own deployments is enforced by bundle_deployment_provider.search via the security context. Returns a lightweight summary (health, active token count) rather than the full detail payload returned by get_deployment.

Args: created_at: Optional FHIR-style prefixed datetime filters on creation time. updated_at: Optional FHIR-style prefixed datetime filters on last-updated time. _sort: Optional sort field (created_at or updated_at), with a leading "-" for descending.

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Query Parameters

created_at?array<string>|

Filter by creation time, FHIR-style prefixed datetime search

updated_at?array<string>|

Filter by last-updated time, FHIR-style prefixed datetime search

_sort?|

Sort field with optional - prefix for descending. Supported: created_at, updated_at

verify_locally?Verify Locally
Defaulttrue

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/deployments"
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "bundle_id": "fc6f5a67-caa1-4339-9c14-a67826143b60",      "bundle_name": "string",      "created_at": "2019-08-24T14:15:22Z",      "health": "grey",      "token_count": 0    }  ],  "total": 0}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

List Credential Metadata

Previous Page

Rename Deployment

Next Page